version: 26.7.3
files:
  - url: Trezor-Suite-26.7.3-win-x64.exe
    sha512: STxtD51MU4uOWoMtKS4CrdA763rUonCp/+0rVxLMmIu/cWOeCipwlII+b2qbCRmLCGt/xSxiBPxJTG7y9ur8cQ==
    size: 155032312
path: Trezor-Suite-26.7.3-win-x64.exe
sha512: STxtD51MU4uOWoMtKS4CrdA763rUonCp/+0rVxLMmIu/cWOeCipwlII+b2qbCRmLCGt/xSxiBPxJTG7y9ur8cQ==
releaseNotes: |
  ### 🚀 New features

  - Added support for Robinhood Chain network
  - Tron (TRX) staking is now available directly in Trezor Suite
  - Users can now cancel pending EVM transactions
  - Option added to view and edit nonce in the EVM send form
  - A new preview step has been added to the Buy flow
  - WalletConnect button added to the account menu for quick access to connected apps

  ### 🎨 Improvements

  - Account sorting updated across sidebar menu and transaction screens
  - Zero-balance and hidden tokens are now sorted alphabetically
  - Page navigation simplified in the trading section
  - Expanded clear signing coverage for 1inch and other trading flows
  - Clearer error messages now shown during Swap transaction failures
  - Visual fixes for the in-app user guide
  - Lower minimum fee rate of 0.2 sat/vB for Normal priority transactions
  - Improved permission handling in Trezor Connect and the Connect popup

  ### 🔧 Bug fixes

  - Prevention of canceling or speeding up EVM transactions with a nonce gap
  - Hidden assets are excluded from token search results
  - Unification of Bitcoin Cash address prefix throughout Suite
  - Fixed incorrect network fees shown for 1inch Fusion swaps
  - Visual / UX improvements throughout the application
  - Resolved a keyboard shortcut conflict affecting account switching and dashboard navigation
  - Minor bugs have been resolved, along with general usability enhancements for a more reliable and seamless experience
releaseDate: '2026-07-29T15:00:06.602Z'
stagingPercentage: 20
